# Gimp.Drawable.desaturate

    @accepts(Gimp.Drawable, Gimp.DesaturateMode)
    @returns(bool)
    def desaturate(self, desaturate_mode):
        # Python wrapper for gimp_drawable_desaturate()

Desaturate the contents of the specified drawable, with the specified formula.

This procedure desaturates the contents of the specified drawable, with the specified formula. This procedure only works on drawables of type RGB color.

Since 2.10

self

  The drawable.

desaturate_mode

  The formula to use to desaturate.

Returns